<?php
	session_start();
	if($_SESSION['did'])
	{
		$userid=$_SESSION['did'];
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		    date_default_timezone_set("asia/Kolkata");
			$datetime= Date("Y-m-d - h:i:s A");
			$time= Date("h:i:s A");
			$date= Date("Y-m-d");
		
		$query8="select * from wallet where Userid=$userid order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
		
		$query2="select * from distributer where Userid=$userid";
		$result2=mysqli_query($con,$query2);
		$data=mysqli_fetch_array($result2);
		$username=$data['Name'];
		$parentid=$data['Parentid'];
?>
<html>
<title>Withdraw Commission</title>
<head>
<style>
body{background:url('bg.jpg'); background-size:cover;
width:100%; height:700px; margin:0px;}

.head{background:; width:1350px; height:100px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420; font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040; font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420; margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}
	
.menu{background:#996420; height:40px; width:1300px; margin:0 0 0 20px; padding:0;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 #bal:hover{background:#996420; cursor:text;}
 
 .heading{margin:10 0 0 50px;}
 
 .content{ margin:20 0 0 50px;}
 .divcomm{ margin:50 0 0 50px; width:600px; height:40px; background:#996420; line-height:40px;}
 .divcomm h3{ margin-left:30px; color:white;}
table{margin-left:50px; border-collapse:collapse; width:600px; text-align:center;}
table th{background:#94928f; color:white;}
table td{background:#f6f0e8;}
table a{background:green; color:white; border:2px solid white; border-radius:4px; font-size:20px; text-decoration:none; padding:3 8px; }
table a:hover{border:2px solid black; }
 
.foot{background:#996420; width:100%; height:50px; float:left;text-align:center;
	margin-top:10px;}
</style>
</head>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2"><?php echo"Balance : ". $currentbal;  ?></p>
	</div>
	<div class="menu">
	    <?php include'menu.php'; ?>
	</div>
	<div class="heading">
		<h3>Search Pending Commission By Date</h3>
	</div><hr>
	<div class="content">	
		<form method="post">
			From Date: <input type="date" name="fdate" value="<?php echo $date; ?>">
			To Date: <input type="date" name="tdate" value="<?php echo $date; ?>">
			<input type="submit" name="submit" value="Search">
	</div>
	<div class="divcomm">
		<h3>Pending Commision<h3>
	</div>	
		<?php
			include'connection.php';
			if(isset($_POST['submit']))
			{
				$fdate=$_POST['fdate'];
				$tdate=$_POST['tdate'];
				$sum=0;
				$query="select * from commwallet where Userid='$userid' and Active='0' and Date>='$fdate' and Date<='$tdate'";
				
				$result=mysqli_query($con,$query);
				while($row=mysqli_fetch_array($result))
				{
					$commision=$row['Balance'];
					$sum=$sum+$commision;
				}
				
				echo "<table border='1' cellpadding='10' id='table'>";
				echo "<tr>";
					echo "<th>From Date</th>";
					echo "<th>To Date</th>";
					echo "<th>Total Commision</th>";
					echo "<th>Action</th>";
				echo "</tr>";
					echo "<td>".$fdate."</td>";
					echo "<td>".$tdate."</td>";
					echo "<td>".$sum."</td>";
					echo "<td><a href='commision_success.php'>Redeem Now</a></td>";
				echo "</tr>";
				echo "</table>";
				$_SESSION['fd']=$fdate;
				$_SESSION['td']=$tdate;
				$_SESSION['sm']=$sum;
				
			}
			
		?>
	</form>
	</div>
<div class="footer">
		<p style="text-align:center;">Copyright &copy; 2018 -2019 Long Life Product Pvt. Ltd.</p>
</div>
</body>
</html>